#include <iostream>
#include <cmath>

inline double  dist(int a[2], int b[2]) {
	double tmp[2];
	tmp[0] = (a[0]-b[0]);
	tmp[1] = (b[1]-a[1]);

	tmp[0] = (tmp[0]<0) ?(-tmp[0]) :tmp[0];
	tmp[1] = (tmp[1]<0) ?(-tmp[1]) :tmp[1];

	return sqrt( (tmp[0]*tmp[0]) + (tmp[1]*tmp[1]) );
}

int main() {
	unsigned int n;
	std::cin >> n;
	
	int input[n][4][2];
	double sum = 0;

	for (unsigned int i = 0; i < n; i++) {
		std::cin >> input[i][0][0] >> input[i][0][1];
		std::cin >> input[i][1][0] >> input[i][1][1];
		std::cin >> input[i][2][0] >> input[i][2][1];
		std::cin >> input[i][3][0] >> input[i][3][1];

		double d[2];

		d[0] = dist( input[i][0], input[i][1] );
		d[1] = dist( input[i][0], input[i][2] );
	
		sum += (d[0] < d[1]) ?(d[0]*d[0]) :(d[1]*d[1]);
		std::cout << sum << std::endl;
	}

	std::cout << sum << std::endl;
	
	return 0;
}
